## Options

It must be guaranteed that the following options can be set for Backint for MaxDB:

Option | Description | Default
-u <user_id> | User ID (UID) User of the backup tool (for example, the name the database instance) |
-f <function> | <function>::= backup | restore | inquire | delete Type of operation | backup
-t <type> | <type>::= file Backup type; file is the only possible type for handling files or pipes. This backup type is the equivalent of the file backup type of BACKINT (for Oracle). | file
-c | Unattended mode (no action by operator possible) | Attended mode
-p <par_file> | Name of the parameter file, text file for the external backup tool with parameters that specify the backup procedure; specific to the backup tool The MaxDB database tools get the location of this file from their own parameter file. However, they do not analyze its content. |
-i <in_file> | Name of the input file Text file with the objects of the function (backup, restore, inquire, or delete). See also Content of the Input File | If this option is not set, the data is read from the standard input.
-o <out_file> | Name of the output file Text file where processing messages and the results of functions are saved See also Content of the Output File | If this option is not set, the messages are written to the standard output.

See also: Variables